[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# AdjustBorderSpace

Adjust space round border of this control

## Declaration

Source position: line 0

`procedure AdjustBorderSpace(`
`var RemainingClientRect: TRect;`
`var CurBorderSpace: TRect;`
`Left: Integer;`
`Top: Integer;`
`Right: Integer;`
`Bottom: Integer`
`); procedure AdjustBorderSpace(`
`var RemainingClientRect: TRect;`
`var CurBorderSpace: TRect;`
`const Space: TRect`
`);`

## Description

RemainingClientRect: remaining clientrect without CurBorderSpace

CurBorderSpace: current borderspace around RemainingClientRect

Left, Top, Right, Bottom: apply these borderspaces to CurBorderSpace

CurBorderSpace will be set to the maximum of CurBorderSpace and Left, Top, Right, Bottom.

RemainingClientRect will shrink.

RemainingClientRect will not shrink to negative size.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.